
<?php

use Config\Connection;

$rep = __DIR__ . '/../';

$views['form'] = 'Views/HTML/form.php';
$views['admin'] = 'Views/HTML/admin.php';
$views['adminLogin'] = 'Views/HTML/adminLogin.php';
$views['possibleResponsesForm'] = 'Views/HTML/possibleResponsesForm.php';
$views['continue'] = 'Views/HTML/continue.php';
$views['categories'] = 'Views/HTML/categories.php';
$views['questions'] = 'Views/HTML/questions.php';
$views['responses'] = 'Views/HTML/responses.php';
$views['error'] = 'Views/HTML/error.php';

$controller['Candidate'] = 'ControllerCandidate';
$controller['Admin'] = 'ControllerAdmin';

$error['404'] = "La page demandée n'existe pas";
$error['403'] = "Vous n'avez pas les droits pour accéder à cette page";
$error['500'] = "Une erreur est survenue";

$googleApis = "https://fonts.googleapis.com";
$googleStatic = "https://fonts.gstatic.com";
$poppins = "https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap";
$icon = "https://cdn.uca.fr/images/favicon/favicon.ico";
$logoUCA = "https://cdn.uca.fr/images/logos/logo_uca_mini_light.png";

$_SERVER['BASE_URI'] = '';

function connect()
{
    $dsn = "mysql:host=localhost;dbname=formulaire;charset=utf8";
    $login = "root";

    try {
        $connection = new Connection($dsn, $login, "root");
    } catch (PDOException $e) {
        http_response_code(404);
        return http_response_code();
    }

    return $connection;
}

$loginMaxLength=50;
$passwordMaxLength=500;
$keyWordMaxLength=50;
$titleMaxLength=50;
$typeMaxLength=50;
$responseMaxLength=200;

